Page MenuHomePhabricator

Watchlist Expiry: Change full star to half star after watching temporarily in Minerva
Closed, ResolvedPublic3 Estimated Story Points

Description

As a Watchlist Expiry user, I want to see the half star after watching a page temporarily in Minerva (without the need to refresh), so that I can immediately see that the page is being watched temporarily (rather than receive misleading or confusing information).

Steps to reproduce

  • Open any wiki page in the Minerva skin
  • Tap on the star icon to watch the page
  • Use the dropdown to select an expiry
  • Wait for the messaging to indicate it is watched temporarily (I think there should be a loading state, but that's outside the scope of this task)
  • Notice you still see a full star at the top, not a half star. You won't see the half star until after you refresh the page.

Acceptance criteria

  • The full star should change to a half star as soon as the page is temporarily watched, without having to refresh the page.

Event Timeline

Restricted Application added a project: Community-Tech. ยท View Herald TranscriptSep 3 2020, 4:29 PM
Restricted Application added subscribers: Masumrezarock100, Aklapper. ยท View Herald Transcript
ifried updated the task description. (Show Details)Sep 3 2020, 10:39 PM
ARamirez_WMF set the point value for this task to 3.Sep 3 2020, 11:55 PM
ifried moved this task from Estimated to Kanban-2020-21-Q1 on the Community-Tech board.

Change 626231 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] watch.ajax: Add expiry support to watchpage.mw event

https://gerrit.wikimedia.org/r/626231

Change 626232 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/skins/MinervaNeue@master] watchstar: Add expiry support to watchpage.mw event

https://gerrit.wikimedia.org/r/626232

Change 626231 merged by jenkins-bot:
[mediawiki/core@master] watch.ajax: Add expiry support to watchpage.mw event

https://gerrit.wikimedia.org/r/626231

Change 627210 had a related patch set uploaded (by Samwilson; owner: Dmaza):
[mediawiki/core@REL1_35] watch.ajax: Add expiry support to watchpage.mw event

https://gerrit.wikimedia.org/r/627210

Change 627210 merged by jenkins-bot:
[mediawiki/core@REL1_35] watch.ajax: Add expiry support to watchpage.mw event

https://gerrit.wikimedia.org/r/627210

Change 626232 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] watchstar: Add expiry support to watchpage.mw event

https://gerrit.wikimedia.org/r/626232

Change 627223 had a related patch set uploaded (by MusikAnimal; owner: Dmaza):
[mediawiki/skins/MinervaNeue@REL1_35] watchstar: Add expiry support to watchpage.mw event

https://gerrit.wikimedia.org/r/627223

Change 627223 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@REL1_35] watchstar: Add expiry support to watchpage.mw event

https://gerrit.wikimedia.org/r/627223

dom_walden added a subscriber: dom_walden.

All looks good, apart from T262862.

Tested on https://en.wikipedia.beta.wmflabs.org MediaWiki 1.36.0-alpha (2a5dbf7) 2020-09-18T11:52:11.

ifried closed this task as Resolved.Sep 18 2020, 10:29 PM
ifried added a subscriber: ifried.

I have tested this on betawiki, and it looks good (see attached screenshot). The star now automatically adjusts after selecting a temporary time period in Minerva (no refresh required). The half shading is at a vertical angle, but this will be solved separately in T262862. For this reason, I'm marking this as Done.